%define anolis_release 1

Name:           perl-String-ShellQuote
Version:        1.04
Release:        %{anolis_release}%{dist}

Summary:        Perl module for quoting strings for passing through the shell
License:        (GPL+ or Artistic) and GPLv2+
URL:            https://metacpan.org/release/String-ShellQuote
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROSCH/String-ShellQuote-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
# RS::Handy is never used
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests only
Requires:       perl(Carp)
Requires:       perl(Getopt::Long)

%description
This package contains a Perl module and a command line utility which
are useful for quoting strings which are going to pass through the
shell or a shell-like object.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n String-ShellQuote-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%generate_compatibility_deps

%files
%{_bindir}/shell-quote
%{perl_vendorlib}/String
%{_mandir}/man1/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.04-1
- Init package from upstream
